---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.16.5
    operator.prometheus.io/version: 0.79.2
  name: scrapeconfigs.monitoring.coreos.com
spec:
  group: monitoring.coreos.com
  names:
    categories:
      - prometheus-operator
    kind: ScrapeConfig
    listKind: ScrapeConfigList
    plural: scrapeconfigs
    shortNames:
      - scfg
    singular: scrapeconfig
  scope: Namespaced
  versions:
    - name: v1alpha1
      schema:
        openAPIV3Schema:
          properties:
            apiVersion:
              type: string
            kind:
              type: string
            metadata:
              type: object
            spec:
              properties:
                authorization:
                  properties:
                    credentials:
                      properties:
                        key:
                          type: string
                        name:
                          default: ""
                          type: string
                        optional:
                          type: boolean
                      required:
                        - key
                      type: object
                      x-kubernetes-map-type: atomic
                    type:
                      type: string
                  type: object
                azureSDConfigs:
                  items:
                    properties:
                      authenticationMethod:
                        enum:
                          - OAuth
                          - ManagedIdentity
                          - SDK
                        type: string
                      clientID:
                        type: string
                      clientSecret:
                        properties:
                          key:
                            type: string
                          name:
                            default: ""
                            type: string
                          optional:
                            type: boolean
                        required:
                          - key
                        type: object
                        x-kubernetes-map-type: atomic
                      environment:
                        type: string
                      port:
                        type: integer
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      resourceGroup:
                        type: string
                      subscriptionID:
                        minLength: 1
                        type: string
                      tenantID:
                        type: string
                    required:
                      - subscriptionID
                    type: object
                  type: array
                basicAuth:
                  properties:
                    password:
                      properties:
                        key:
                          type: string
                        name:
                          default: ""
                          type: string
                        optional:
                          type: boolean
                      required:
                        - key
                      type: object
                      x-kubernetes-map-type: atomic
                    username:
                      properties:
                        key:
                          type: string
                        name:
                          default: ""
                          type: string
                        optional:
                          type: boolean
                      required:
                        - key
                      type: object
                      x-kubernetes-map-type: atomic
                  type: object
                consulSDConfigs:
                  items:
                    properties:
                      allowStale:
                        type: boolean
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      basicAuth:
                        properties:
                          password:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          username:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                        type: object
                      datacenter:
                        minLength: 1
                        type: string
                      enableHTTP2:
                        type: boolean
                      filter:
                        minLength: 1
                        type: string
                      followRedirects:
                        type: boolean
                      namespace:
                        minLength: 1
                        type: string
                      noProxy:
                        type: string
                      nodeMeta:
                        additionalProperties:
                          type: string
                        type: object
                        x-kubernetes-map-type: atomic
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      partition:
                        minLength: 1
                        type: string
                      pathPrefix:
                        minLength: 1
                        type: string
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      scheme:
                        enum:
                          - HTTP
                          - HTTPS
                        type: string
                      server:
                        minLength: 1
                        type: string
                      services:
                        items:
                          type: string
                        type: array
                        x-kubernetes-list-type: set
                      tagSeparator:
                        minLength: 1
                        type: string
                      tags:
                        items:
                          type: string
                        type: array
                        x-kubernetes-list-type: set
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                      tokenRef:
                        properties:
                          key:
                            type: string
                          name:
                            default: ""
                            type: string
                          optional:
                            type: boolean
                        required:
                          - key
                        type: object
                        x-kubernetes-map-type: atomic
                    required:
                      - server
                    type: object
                  type: array
                digitalOceanSDConfigs:
                  items:
                    properties:
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      enableHTTP2:
                        type: boolean
                      followRedirects:
                        type: boolean
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      port:
                        format: int32
                        maximum: 65535
                        minimum: 0
                        type: integer
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    type: object
                  type: array
                dnsSDConfigs:
                  items:
                    properties:
                      names:
                        items:
                          minLength: 1
                          type: string
                        minItems: 1
                        type: array
                      port:
                        format: int32
                        maximum: 65535
                        minimum: 0
                        type: integer
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      type:
                        enum:
                          - A
                          - AAAA
                          - MX
                          - NS
                          - SRV
                        type: string
                    required:
                      - names
                    type: object
                  type: array
                dockerSDConfigs:
                  items:
                    properties:
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      basicAuth:
                        properties:
                          password:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          username:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                        type: object
                      enableHTTP2:
                        type: boolean
                      filters:
                        items:
                          properties:
                            name:
                              type: string
                            values:
                              items:
                                minLength: 1
                                type: string
                              minItems: 1
                              type: array
                              x-kubernetes-list-type: set
                          required:
                            - name
                            - values
                          type: object
                        type: array
                        x-kubernetes-list-map-keys:
                          - name
                        x-kubernetes-list-type: map
                      followRedirects:
                        type: boolean
                      host:
                        minLength: 1
                        type: string
                      hostNetworkingHost:
                        type: string
                      matchFirstNetwork:
                        type: boolean
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      port:
                        type: integer
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    required:
                      - host
                    type: object
                  type: array
                dockerSwarmSDConfigs:
                  items:
                    properties:
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      basicAuth:
                        properties:
                          password:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          username:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                        type: object
                      enableHTTP2:
                        type: boolean
                      filters:
                        items:
                          properties:
                            name:
                              type: string
                            values:
                              items:
                                minLength: 1
                                type: string
                              minItems: 1
                              type: array
                              x-kubernetes-list-type: set
                          required:
                            - name
                            - values
                          type: object
                        type: array
                        x-kubernetes-list-map-keys:
                          - name
                        x-kubernetes-list-type: map
                      followRedirects:
                        type: boolean
                      host:
                        pattern: ^[a-zA-Z][a-zA-Z0-9+.-]*://.+$
                        type: string
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      port:
                        format: int32
                        maximum: 65535
                        minimum: 0
                        type: integer
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      role:
                        enum:
                          - Services
                          - Tasks
                          - Nodes
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    required:
                      - host
                      - role
                    type: object
                  type: array
                ec2SDConfigs:
                  items:
                    properties:
                      accessKey:
                        properties:
                          key:
                            type: string
                          name:
                            default: ""
                            type: string
                          optional:
                            type: boolean
                        required:
                          - key
                        type: object
                        x-kubernetes-map-type: atomic
                      enableHTTP2:
                        type: boolean
                      filters:
                        items:
                          properties:
                            name:
                              type: string
                            values:
                              items:
                                minLength: 1
                                type: string
                              minItems: 1
                              type: array
                              x-kubernetes-list-type: set
                          required:
                            - name
                            - values
                          type: object
                        type: array
                        x-kubernetes-list-map-keys:
                          - name
                        x-kubernetes-list-type: map
                      followRedirects:
                        type: boolean
                      noProxy:
                        type: string
                      port:
                        format: int32
                        maximum: 65535
                        minimum: 0
                        type: integer
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      region:
                        minLength: 1
                        type: string
                      roleARN:
                        minLength: 1
                        type: string
                      secretKey:
                        properties:
                          key:
                            type: string
                          name:
                            default: ""
                            type: string
                          optional:
                            type: boolean
                        required:
                          - key
                        type: object
                        x-kubernetes-map-type: atomic
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    type: object
                  type: array
                enableCompression:
                  type: boolean
                enableHTTP2:
                  type: boolean
                eurekaSDConfigs:
                  items:
                    properties:
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      basicAuth:
                        properties:
                          password:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          username:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                        type: object
                      enableHTTP2:
                        type: boolean
                      followRedirects:
                        type: boolean
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      server:
                        minLength: 1
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    required:
                      - server
                    type: object
                  type: array
                fallbackScrapeProtocol:
                  enum:
                    - PrometheusProto
                    - OpenMetricsText0.0.1
                    - OpenMetricsText1.0.0
                    - PrometheusText0.0.4
                    - PrometheusText1.0.0
                  type: string
                fileSDConfigs:
                  items:
                    properties:
                      files:
                        items:
                          pattern: ^[^*]*(\*[^/]*)?\.(json|yml|yaml|JSON|YML|YAML)$
                          type: string
                        minItems: 1
                        type: array
                        x-kubernetes-list-type: set
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                    required:
                      - files
                    type: object
                  type: array
                gceSDConfigs:
                  items:
                    properties:
                      filter:
                        type: string
                      port:
                        type: integer
                      project:
                        minLength: 1
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      tagSeparator:
                        type: string
                      zone:
                        minLength: 1
                        type: string
                    required:
                      - project
                      - zone
                    type: object
                  type: array
                hetznerSDConfigs:
                  items:
                    properties:
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      basicAuth:
                        properties:
                          password:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          username:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                        type: object
                      enableHTTP2:
                        type: boolean
                      followRedirects:
                        type: boolean
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      port:
                        type: integer
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      role:
                        enum:
                          - hcloud
                          - Hcloud
                          - robot
                          - Robot
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    required:
                      - role
                    type: object
                  type: array
                honorLabels:
                  type: boolean
                honorTimestamps:
                  type: boolean
                httpSDConfigs:
                  items:
                    properties:
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      basicAuth:
                        properties:
                          password:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          username:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                        type: object
                      enableHTTP2:
                        type: boolean
                      followRedirects:
                        type: boolean
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                      url:
                        minLength: 1
                        pattern: ^http(s)?://.+$
                        type: string
                    required:
                      - url
                    type: object
                  type: array
                ionosSDConfigs:
                  items:
                    properties:
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      datacenterID:
                        minLength: 1
                        type: string
                      enableHTTP2:
                        type: boolean
                      followRedirects:
                        type: boolean
                      noProxy:
                        type: string
                      port:
                        format: int32
                        maximum: 65535
                        minimum: 0
                        type: integer
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    required:
                      - authorization
                      - datacenterID
                    type: object
                  type: array
                jobName:
                  minLength: 1
                  type: string
                keepDroppedTargets:
                  format: int64
                  type: integer
                kubernetesSDConfigs:
                  items:
                    properties:
                      apiServer:
                        minLength: 1
                        type: string
                      attachMetadata:
                        properties:
                          node:
                            type: boolean
                        type: object
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      basicAuth:
                        properties:
                          password:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          username:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                        type: object
                      enableHTTP2:
                        type: boolean
                      followRedirects:
                        type: boolean
                      namespaces:
                        properties:
                          names:
                            items:
                              type: string
                            type: array
                            x-kubernetes-list-type: set
                          ownNamespace:
                            type: boolean
                        type: object
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      role:
                        enum:
                          - Pod
                          - Endpoints
                          - Ingress
                          - Service
                          - Node
                          - EndpointSlice
                        type: string
                      selectors:
                        items:
                          properties:
                            field:
                              minLength: 1
                              type: string
                            label:
                              minLength: 1
                              type: string
                            role:
                              enum:
                                - Pod
                                - Endpoints
                                - Ingress
                                - Service
                                - Node
                                - EndpointSlice
                              type: string
                          required:
                            - role
                          type: object
                        type: array
                        x-kubernetes-list-map-keys:
                          - role
                        x-kubernetes-list-type: map
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    required:
                      - role
                    type: object
                  type: array
                kumaSDConfigs:
                  items:
                    properties:
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      basicAuth:
                        properties:
                          password:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          username:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                        type: object
                      clientID:
                        type: string
                      enableHTTP2:
                        type: boolean
                      fetchTimeout:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      followRedirects:
                        type: boolean
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      server:
                        minLength: 1
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    required:
                      - server
                    type: object
                  type: array
                labelLimit:
                  format: int64
                  type: integer
                labelNameLengthLimit:
                  format: int64
                  type: integer
                labelValueLengthLimit:
                  format: int64
                  type: integer
                lightSailSDConfigs:
                  items:
                    properties:
                      accessKey:
                        properties:
                          key:
                            type: string
                          name:
                            default: ""
                            type: string
                          optional:
                            type: boolean
                        required:
                          - key
                        type: object
                        x-kubernetes-map-type: atomic
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      basicAuth:
                        properties:
                          password:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          username:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                        type: object
                      enableHTTP2:
                        type: boolean
                      endpoint:
                        minLength: 1
                        type: string
                      followRedirects:
                        type: boolean
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      port:
                        format: int32
                        maximum: 65535
                        minimum: 0
                        type: integer
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      region:
                        minLength: 1
                        type: string
                      roleARN:
                        type: string
                      secretKey:
                        properties:
                          key:
                            type: string
                          name:
                            default: ""
                            type: string
                          optional:
                            type: boolean
                        required:
                          - key
                        type: object
                        x-kubernetes-map-type: atomic
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    type: object
                  type: array
                linodeSDConfigs:
                  items:
                    properties:
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      enableHTTP2:
                        type: boolean
                      followRedirects:
                        type: boolean
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      port:
                        format: int32
                        maximum: 65535
                        minimum: 0
                        type: integer
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      region:
                        minLength: 1
                        type: string
                      tagSeparator:
                        minLength: 1
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    type: object
                  type: array
                metricRelabelings:
                  items:
                    properties:
                      action:
                        default: replace
                        enum:
                          - replace
                          - Replace
                          - keep
                          - Keep
                          - drop
                          - Drop
                          - hashmod
                          - HashMod
                          - labelmap
                          - LabelMap
                          - labeldrop
                          - LabelDrop
                          - labelkeep
                          - LabelKeep
                          - lowercase
                          - Lowercase
                          - uppercase
                          - Uppercase
                          - keepequal
                          - KeepEqual
                          - dropequal
                          - DropEqual
                        type: string
                      modulus:
                        format: int64
                        type: integer
                      regex:
                        type: string
                      replacement:
                        type: string
                      separator:
                        type: string
                      sourceLabels:
                        items:
                          pattern: ^[a-zA-Z_][a-zA-Z0-9_]*$
                          type: string
                        type: array
                      targetLabel:
                        type: string
                    type: object
                  minItems: 1
                  type: array
                metricsPath:
                  minLength: 1
                  type: string
                nativeHistogramBucketLimit:
                  format: int64
                  type: integer
                nativeHistogramMinBucketFactor:
                  anyOf:
                    - type: integer
                    - type: string
                  pattern: ^(\+|-)?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\+|-)?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))))?$
                  x-kubernetes-int-or-string: true
                noProxy:
                  type: string
                nomadSDConfigs:
                  items:
                    properties:
                      allowStale:
                        type: boolean
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      basicAuth:
                        properties:
                          password:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          username:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                        type: object
                      enableHTTP2:
                        type: boolean
                      followRedirects:
                        type: boolean
                      namespace:
                        type: string
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      region:
                        type: string
                      server:
                        minLength: 1
                        type: string
                      tagSeparator:
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                    required:
                      - server
                    type: object
                  type: array
                oauth2:
                  properties:
                    clientId:
                      properties:
                        configMap:
                          properties:
                            key:
                              type: string
                            name:
                              default: ""
                              type: string
                            optional:
                              type: boolean
                          required:
                            - key
                          type: object
                          x-kubernetes-map-type: atomic
                        secret:
                          properties:
                            key:
                              type: string
                            name:
                              default: ""
                              type: string
                            optional:
                              type: boolean
                          required:
                            - key
                          type: object
                          x-kubernetes-map-type: atomic
                      type: object
                    clientSecret:
                      properties:
                        key:
                          type: string
                        name:
                          default: ""
                          type: string
                        optional:
                          type: boolean
                      required:
                        - key
                      type: object
                      x-kubernetes-map-type: atomic
                    endpointParams:
                      additionalProperties:
                        type: string
                      type: object
                    noProxy:
                      type: string
                    proxyConnectHeader:
                      additionalProperties:
                        items:
                          properties:
                            key:
                              type: string
                            name:
                              default: ""
                              type: string
                            optional:
                              type: boolean
                          required:
                            - key
                          type: object
                          x-kubernetes-map-type: atomic
                        type: array
                      type: object
                      x-kubernetes-map-type: atomic
                    proxyFromEnvironment:
                      type: boolean
                    proxyUrl:
                      pattern: ^http(s)?://.+$
                      type: string
                    scopes:
                      items:
                        type: string
                      type: array
                    tlsConfig:
                      properties:
                        ca:
                          properties:
                            configMap:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            secret:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                          type: object
                        cert:
                          properties:
                            configMap:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            secret:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                          type: object
                        insecureSkipVerify:
                          type: boolean
                        keySecret:
                          properties:
                            key:
                              type: string
                            name:
                              default: ""
                              type: string
                            optional:
                              type: boolean
                          required:
                            - key
                          type: object
                          x-kubernetes-map-type: atomic
                        maxVersion:
                          enum:
                            - TLS10
                            - TLS11
                            - TLS12
                            - TLS13
                          type: string
                        minVersion:
                          enum:
                            - TLS10
                            - TLS11
                            - TLS12
                            - TLS13
                          type: string
                        serverName:
                          type: string
                      type: object
                    tokenUrl:
                      minLength: 1
                      type: string
                  required:
                    - clientId
                    - clientSecret
                    - tokenUrl
                  type: object
                openstackSDConfigs:
                  items:
                    properties:
                      allTenants:
                        type: boolean
                      applicationCredentialId:
                        type: string
                      applicationCredentialName:
                        type: string
                      applicationCredentialSecret:
                        properties:
                          key:
                            type: string
                          name:
                            default: ""
                            type: string
                          optional:
                            type: boolean
                        required:
                          - key
                        type: object
                        x-kubernetes-map-type: atomic
                      availability:
                        enum:
                          - Public
                          - public
                          - Admin
                          - admin
                          - Internal
                          - internal
                        type: string
                      domainID:
                        type: string
                      domainName:
                        type: string
                      identityEndpoint:
                        type: string
                      password:
                        properties:
                          key:
                            type: string
                          name:
                            default: ""
                            type: string
                          optional:
                            type: boolean
                        required:
                          - key
                        type: object
                        x-kubernetes-map-type: atomic
                      port:
                        type: integer
                      projectID:
                        type: string
                      projectName:
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      region:
                        minLength: 1
                        type: string
                      role:
                        enum:
                          - Instance
                          - instance
                          - Hypervisor
                          - hypervisor
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                      userid:
                        type: string
                      username:
                        type: string
                    required:
                      - region
                      - role
                    type: object
                  type: array
                ovhcloudSDConfigs:
                  items:
                    properties:
                      applicationKey:
                        minLength: 1
                        type: string
                      applicationSecret:
                        properties:
                          key:
                            type: string
                          name:
                            default: ""
                            type: string
                          optional:
                            type: boolean
                        required:
                          - key
                        type: object
                        x-kubernetes-map-type: atomic
                      consumerKey:
                        properties:
                          key:
                            type: string
                          name:
                            default: ""
                            type: string
                          optional:
                            type: boolean
                        required:
                          - key
                        type: object
                        x-kubernetes-map-type: atomic
                      endpoint:
                        minLength: 1
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      service:
                        allOf:
                          - enum:
                              - VPS
                              - DedicatedServer
                          - enum:
                              - VPS
                              - DedicatedServer
                        type: string
                    required:
                      - applicationKey
                      - applicationSecret
                      - consumerKey
                      - service
                    type: object
                  type: array
                params:
                  additionalProperties:
                    items:
                      type: string
                    type: array
                  type: object
                  x-kubernetes-map-type: atomic
                proxyConnectHeader:
                  additionalProperties:
                    items:
                      properties:
                        key:
                          type: string
                        name:
                          default: ""
                          type: string
                        optional:
                          type: boolean
                      required:
                        - key
                      type: object
                      x-kubernetes-map-type: atomic
                    type: array
                  type: object
                  x-kubernetes-map-type: atomic
                proxyFromEnvironment:
                  type: boolean
                proxyUrl:
                  pattern: ^http(s)?://.+$
                  type: string
                puppetDBSDConfigs:
                  items:
                    properties:
                      authorization:
                        properties:
                          credentials:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type:
                            type: string
                        type: object
                      basicAuth:
                        properties:
                          password:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          username:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                        type: object
                      enableHTTP2:
                        type: boolean
                      followRedirects:
                        type: boolean
                      includeParameters:
                        type: boolean
                      noProxy:
                        type: string
                      oauth2:
                        properties:
                          clientId:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          clientSecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          endpointParams:
                            additionalProperties:
                              type: string
                            type: object
                          noProxy:
                            type: string
                          proxyConnectHeader:
                            additionalProperties:
                              items:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              type: array
                            type: object
                            x-kubernetes-map-type: atomic
                          proxyFromEnvironment:
                            type: boolean
                          proxyUrl:
                            pattern: ^http(s)?://.+$
                            type: string
                          scopes:
                            items:
                              type: string
                            type: array
                          tlsConfig:
                            properties:
                              ca:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              cert:
                                properties:
                                  configMap:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                  secret:
                                    properties:
                                      key:
                                        type: string
                                      name:
                                        default: ""
                                        type: string
                                      optional:
                                        type: boolean
                                    required:
                                      - key
                                    type: object
                                    x-kubernetes-map-type: atomic
                                type: object
                              insecureSkipVerify:
                                type: boolean
                              keySecret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              maxVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              minVersion:
                                enum:
                                  - TLS10
                                  - TLS11
                                  - TLS12
                                  - TLS13
                                type: string
                              serverName:
                                type: string
                            type: object
                          tokenUrl:
                            minLength: 1
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - tokenUrl
                        type: object
                      port:
                        format: int32
                        maximum: 65535
                        minimum: 0
                        type: integer
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      query:
                        minLength: 1
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                      url:
                        minLength: 1
                        pattern: ^http(s)?://.+$
                        type: string
                    required:
                      - query
                      - url
                    type: object
                  type: array
                relabelings:
                  items:
                    properties:
                      action:
                        default: replace
                        enum:
                          - replace
                          - Replace
                          - keep
                          - Keep
                          - drop
                          - Drop
                          - hashmod
                          - HashMod
                          - labelmap
                          - LabelMap
                          - labeldrop
                          - LabelDrop
                          - labelkeep
                          - LabelKeep
                          - lowercase
                          - Lowercase
                          - uppercase
                          - Uppercase
                          - keepequal
                          - KeepEqual
                          - dropequal
                          - DropEqual
                        type: string
                      modulus:
                        format: int64
                        type: integer
                      regex:
                        type: string
                      replacement:
                        type: string
                      separator:
                        type: string
                      sourceLabels:
                        items:
                          pattern: ^[a-zA-Z_][a-zA-Z0-9_]*$
                          type: string
                        type: array
                      targetLabel:
                        type: string
                    type: object
                  minItems: 1
                  type: array
                sampleLimit:
                  format: int64
                  type: integer
                scalewaySDConfigs:
                  items:
                    properties:
                      accessKey:
                        minLength: 1
                        type: string
                      apiURL:
                        pattern: ^http(s)?://.+$
                        type: string
                      enableHTTP2:
                        type: boolean
                      followRedirects:
                        type: boolean
                      nameFilter:
                        minLength: 1
                        type: string
                      noProxy:
                        type: string
                      port:
                        format: int32
                        maximum: 65535
                        minimum: 0
                        type: integer
                      projectID:
                        minLength: 1
                        type: string
                      proxyConnectHeader:
                        additionalProperties:
                          items:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          type: array
                        type: object
                        x-kubernetes-map-type: atomic
                      proxyFromEnvironment:
                        type: boolean
                      proxyUrl:
                        pattern: ^http(s)?://.+$
                        type: string
                      refreshInterval:
                        pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                        type: string
                      role:
                        enum:
                          - Instance
                          - Baremetal
                        type: string
                      secretKey:
                        properties:
                          key:
                            type: string
                          name:
                            default: ""
                            type: string
                          optional:
                            type: boolean
                        required:
                          - key
                        type: object
                        x-kubernetes-map-type: atomic
                      tagsFilter:
                        items:
                          minLength: 1
                          type: string
                        minItems: 1
                        type: array
                        x-kubernetes-list-type: set
                      tlsConfig:
                        properties:
                          ca:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          cert:
                            properties:
                              configMap:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                              secret:
                                properties:
                                  key:
                                    type: string
                                  name:
                                    default: ""
                                    type: string
                                  optional:
                                    type: boolean
                                required:
                                  - key
                                type: object
                                x-kubernetes-map-type: atomic
                            type: object
                          insecureSkipVerify:
                            type: boolean
                          keySecret:
                            properties:
                              key:
                                type: string
                              name:
                                default: ""
                                type: string
                              optional:
                                type: boolean
                            required:
                              - key
                            type: object
                            x-kubernetes-map-type: atomic
                          maxVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          minVersion:
                            enum:
                              - TLS10
                              - TLS11
                              - TLS12
                              - TLS13
                            type: string
                          serverName:
                            type: string
                        type: object
                      zone:
                        minLength: 1
                        type: string
                    required:
                      - accessKey
                      - projectID
                      - role
                      - secretKey
                    type: object
                  type: array
                scheme:
                  enum:
                    - HTTP
                    - HTTPS
                  type: string
                scrapeClass:
                  minLength: 1
                  type: string
                scrapeClassicHistograms:
                  type: boolean
                scrapeInterval:
                  pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                  type: string
                scrapeProtocols:
                  items:
                    enum:
                      - PrometheusProto
                      - OpenMetricsText0.0.1
                      - OpenMetricsText1.0.0
                      - PrometheusText0.0.4
                      - PrometheusText1.0.0
                    type: string
                  minItems: 1
                  type: array
                  x-kubernetes-list-type: set
                scrapeTimeout:
                  pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                  type: string
                staticConfigs:
                  items:
                    properties:
                      labels:
                        additionalProperties:
                          type: string
                        type: object
                        x-kubernetes-map-type: atomic
                      targets:
                        items:
                          type: string
                        minItems: 1
                        type: array
                        x-kubernetes-list-type: set
                    required:
                      - targets
                    type: object
                  type: array
                targetLimit:
                  format: int64
                  type: integer
                tlsConfig:
                  properties:
                    ca:
                      properties:
                        configMap:
                          properties:
                            key:
                              type: string
                            name:
                              default: ""
                              type: string
                            optional:
                              type: boolean
                          required:
                            - key
                          type: object
                          x-kubernetes-map-type: atomic
                        secret:
                          properties:
                            key:
                              type: string
                            name:
                              default: ""
                              type: string
                            optional:
                              type: boolean
                          required:
                            - key
                          type: object
                          x-kubernetes-map-type: atomic
                      type: object
                    cert:
                      properties:
                        configMap:
                          properties:
                            key:
                              type: string
                            name:
                              default: ""
                              type: string
                            optional:
                              type: boolean
                          required:
                            - key
                          type: object
                          x-kubernetes-map-type: atomic
                        secret:
                          properties:
                            key:
                              type: string
                            name:
                              default: ""
                              type: string
                            optional:
                              type: boolean
                          required:
                            - key
                          type: object
                          x-kubernetes-map-type: atomic
                      type: object
                    insecureSkipVerify:
                      type: boolean
                    keySecret:
                      properties:
                        key:
                          type: string
                        name:
                          default: ""
                          type: string
                        optional:
                          type: boolean
                      required:
                        - key
                      type: object
                      x-kubernetes-map-type: atomic
                    maxVersion:
                      enum:
                        - TLS10
                        - TLS11
                        - TLS12
                        - TLS13
                      type: string
                    minVersion:
                      enum:
                        - TLS10
                        - TLS11
                        - TLS12
                        - TLS13
                      type: string
                    serverName:
                      type: string
                  type: object
                trackTimestampsStaleness:
                  type: boolean
              type: object
          required:
            - spec
          type: object
      served: true
      storage: true
